package com.steering.pss.qcm.model;

import java.util.ArrayList;

/**
 * 数据库表COM_BASE_IMPACT所对应的实体类（生成工具：代码生成工具4.0 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2017-05-25
 */
@SuppressWarnings("serial")
public class ComBaseImpactEntity implements java.io.Serializable {
	/**
	 * PK
	 */
	private String id = "";
	/**
	 * 是否允许弧形样
	 */
	private String allowArc = "";
	/**
	 * 弧形样侧边最短（%）
	 */
	private String minSideArc = "";
	/**
	 * 弧形样上边最短（mm）
	 */
	private String minAboveArc = "";
	/**
	 * 加工余量（mm）
	 */
	private String processSurplus = "";
	/**
	 * 最低冲击值（J）
	 */
	private String minImpact = "";
	/**
	 * 降温说明
	 */
	private String coolMemo = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";
	/**
	 * 备注
	 */
	private String memo = "";
	
	private ArrayList<ComBaseImpactCEntity> subList = new ArrayList<ComBaseImpactCEntity>();

	public ArrayList<ComBaseImpactCEntity> getSubList() {
		return subList;
	}

	public void setSubList(ArrayList<ComBaseImpactCEntity> subList) {
		this.subList = subList;
	}

	/**
	 * PK
	 * 
	 * @return value
	 */
	public String getId() {
		return id;
	}

	/**
	 * PK
	 * 
	 * @param id
	 *            value
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * 是否允许弧形样
	 * 
	 * @return value
	 */
	public String getAllowArc() {
		return allowArc;
	}

	/**
	 * 是否允许弧形样
	 * 
	 * @param allowArc
	 *            value
	 */
	public void setAllowArc(String allowArc) {
		this.allowArc = allowArc;
	}

	/**
	 * 弧形样侧边最短（%）
	 * 
	 * @return value
	 */
	public String getMinSideArc() {
		return minSideArc;
	}

	/**
	 * 弧形样侧边最短（%）
	 * 
	 * @param minSideArc
	 *            value
	 */
	public void setMinSideArc(String minSideArc) {
		this.minSideArc = minSideArc;
	}

	/**
	 * 弧形样上边最短（mm）
	 * 
	 * @return value
	 */
	public String getMinAboveArc() {
		return minAboveArc;
	}

	/**
	 * 弧形样上边最短（mm）
	 * 
	 * @param minAboveArc
	 *            value
	 */
	public void setMinAboveArc(String minAboveArc) {
		this.minAboveArc = minAboveArc;
	}

	/**
	 * 加工余量（mm）
	 * 
	 * @return value
	 */
	public String getProcessSurplus() {
		return processSurplus;
	}

	/**
	 * 加工余量（mm）
	 * 
	 * @param processSurplus
	 *            value
	 */
	public void setProcessSurplus(String processSurplus) {
		this.processSurplus = processSurplus;
	}

	/**
	 * 最低冲击值（J）
	 * 
	 * @return value
	 */
	public String getMinImpact() {
		return minImpact;
	}

	/**
	 * 最低冲击值（J）
	 * 
	 * @param minImpact
	 *            value
	 */
	public void setMinImpact(String minImpact) {
		this.minImpact = minImpact;
	}

	/**
	 * 降温说明
	 * 
	 * @return value
	 */
	public String getCoolMemo() {
		return coolMemo;
	}

	/**
	 * 降温说明
	 * 
	 * @param coolMemo
	 *            value
	 */
	public void setCoolMemo(String coolMemo) {
		this.coolMemo = coolMemo;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
}
